Loading...
Searching...
No Matches
stdex::html::token Class Reference

HTML token base class. More...

`#include <stdex/html.hpp>`

Inheritance diagram for stdex::html::token:

## Public Member Functions

template<class _Traits = std::char_traits<char>, class _Alloc = std::allocator<char>>
size_t | append_tag (std::basic_string< char, _Traits, _Alloc > &str) const
| Appends token tag to the source code.
template<class _Traits = std::char_traits<wchar_t>, class _Alloc = std::allocator<wchar_t>>
size_t | append_tag (std::basic_string< wchar_t, _Traits, _Alloc > &str) const
| Appends token tag to the source code.

## Static Public Member Functions

template<class T >
static token * | parse_tag (const T *str, size_t &offset)

## Public Attributes

token_t | type
| Token type.
sequence * | sequence
| Pointer to the sequence this token represents or nullptr when it doesn't trivially represent one sequence.
uintptr_t | data
| Any user-supplied data.

## Protected Member Functions

| token (token_t _type=token_t::root, sequence *_sequence=nullptr, uintptr_t _data=0)

## Friends

template<class _Elem , class _Traits , class _Alloc >
class | parser

## Detailed Description

HTML token base class.

## Member Function Documentation

## append_tag() [1/2]

template<class _Traits = std::char_traits<char>, class _Alloc = std::allocator<char>>

size_t stdex::html::token::append_tag | ( | std::basic_string< char, _Traits, _Alloc > & | str | ) | const

inline

Appends token tag to the source code.

Parameters

  [in,out] | str | Source code

Returns
  Number of code units appended

## append_tag() [2/2]

template<class _Traits = std::char_traits<wchar_t>, class _Alloc = std::allocator<wchar_t>>

size_t stdex::html::token::append_tag | ( | std::basic_string< wchar_t, _Traits, _Alloc > & | str | ) | const

inline

Appends token tag to the source code.

Parameters

  [in,out] | str | Source code

Returns
  Number of code units appended

The documentation for this class was generated from the following file:

- include/stdex/html.hpp